# Method: projects.schemas.listRevisions

- [HTTP request](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/listRevisions#body.HTTP_TEMPLATE)
- [Path parameters](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/listRevisions#body.PATH_PARAMETERS)
- [Query parameters](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/listRevisions#body.QUERY_PARAMETERS)
- [Request body](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/listRevisions#body.request_body)
- [Response body](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/listRevisions#body.response_body)
  - [JSON representation](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/listRevisions#body.ListSchemaRevisionsResponse.SCHEMA_REPRESENTATION)
- [Authorization scopes](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/listRevisions#body.aspect)
- [Try it!](https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas/listRevisions#try-it)

Lists all schema revisions for the named schema.

### HTTP request

Choose a location:
<button value="global" default="">global</button>   
`GET https://pubsub.googleapis.com/v1/{name}:listRevisions`

<br />

### Path parameters

| Parameters ||
|---|---|
| `name` | `string` Required. The name of the schema to list revisions for. |

### Query parameters

| Parameters ||
|---|---|
| `view` | ``enum (`https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/SchemaView`)`` The set of Schema fields to return in the response. If not set, returns Schemas with `name` and `type`, but not `definition`. Set to `FULL` to retrieve all fields. |
| `pageSize` | `integer` The maximum number of revisions to return per page. |
| `pageToken` | `string` The page token, received from a previous schemas.listRevisions call. Provide this to retrieve the subsequent page. |

### Request body

The request body must be empty.

### Response body

Response for the `schemas.listRevisions` method.

If successful, the response body contains data with the following structure:

| JSON representation |
|---|
| ``` { "schemas": [ { object (`https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas#Schema`) } ], "nextPageToken": string } ``` |

| Fields ||
|---|---|
| `schemas[]` | ``object (`https://docs.cloud.google.com/pubsub/docs/reference/rest/v1/projects.schemas#Schema`)`` The revisions of the schema. |
| `nextPageToken` | `string` A token that can be sent as `pageToken` to retrieve the next page. If this field is empty, there are no subsequent pages. |

### Authorization scopes

Requires one of the following OAuth scopes:

- `https://www.googleapis.com/auth/pubsub`
- `https://www.googleapis.com/auth/cloud-platform`

For more information, see the [Authentication Overview](https://docs.cloud.google.com/docs/authentication#authorization-gcp).